Self-serve contractor payments
Self Serve Review Invoice
Approves or rejects a PENDING invoice; approval snapshots payout bank details, plans payout legs and emails.
POSThttps://api.toku.com/hris/self-serve-review-invoice
Not available to API keys yet. It will need invoices:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-review-invoice' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoiceID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"action": "approve",
"reason": "string",
"expectedVersion": "string"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
invoiceIDstring<uuid>requiredactionstringrequiredAvailable options: approve, reject
reasonstringAllowed: at most 500 characters
expectedVersionstringAllowed: matches ^[a-f0-9]{64}$
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits